package agilpizza.modelo;

import java.util.ArrayList;
import java.util.List;

public class Pedido {
	private List<Bebida> bebidas = new ArrayList<Bebida>();
	private List<Pizza> pizzas = new ArrayList<Pizza>();

	public void addPizza(Pizza pizza){
		pizzas.add(pizza);
	}
	
	public void addBebida(Bebida bebida){
		bebidas.add(bebida);
	}
	
	public void removePizza(int idPizza) {
		for(Pizza pizza: pizzas)
			if(pizza.getId() == idPizza) {
				pizzas.remove(pizza);
				return;
			}
	}
	
	public void removeBebida(int idBebida) {
		for(Bebida bebida: bebidas)
			if(bebida.getId() == idBebida) {
				bebidas.remove(bebida);
				return;
			}
	}
	
	public List<Bebida> getBebidas() {
		return bebidas;
	}

	public List<Pizza> getPizzas() {
		return pizzas;
	}

	public double getPrecoTotal(){
		double soma = 0.0;
		for (Bebida bev: bebidas){
			soma +=bev.getPreco();
		}
		for (Pizza pizza: pizzas){
			soma +=pizza.getPreco();
		}
		return soma;
	}
}
